{% extends "core/layout_app.html" %}
{% load bootstrap %}
{% load i18n %}

{% block content %}
    <div class="col-sm-offset-1 col-sm-10">
        <div class="page-section page-section-boxed" id="user-profile-section">
            <div class="page-section-header">
                <h2>
                    <span class="{{ ICONS.user }}"></span>
                    {% trans "User profile" %}
                </h2>
            </div>
            <div class="page-section-content">
                <form method="post" class="form-horizontal">
                    {% csrf_token %}
                    <div class="form-group">
                        <label class="control-label col-sm-2 col-lg-2" >
                            {% trans "E-mail" %}
                        </label>
                        <div class="col-sm-5">
                            <div class="form-control-static">
                                {{ user.email }}
                                <br/>
                                <a href="{% url 'change_email' %}" id="change-email" class="btn btn-default btn-sm">
                                    {% trans "Change e-mail" %}
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-2">
                            {% trans "Password" %}
                        </label>
                        <div class="col-sm-5">
                            <div class="form-control-static">
                                <a href="{% url 'auth_password_change' %}" id="change-password" class="btn btn-default btn-sm">
                                    {% trans "Change password" %}
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="form-group {% if form.first_name.errors %}has-error{% endif %}">
                        <label class="control-label col-sm-2">
                            {% trans "First name" %}
                        </label>
                        <div class="col-sm-10">
                            <input class="form-control" name="first_name" id="id_first_name" value="{{ form.first_name.value }}" />
                            {% if form.first_name.errors %}
                                <span id="helpBlock" class="help-block">
                                    {% for error in form.first_name.errors %}
                                        {{ error|escape }}&nbsp;
                                    {% endfor %}
                                </span>
                            {% endif %}
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-2">
                            {% trans "Language" %}
                        </label>
                        <div class="col-sm-10">
                            <div>
                                {{ form.language }}
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-2">
                            {% trans "Phone number" %}
                        </label>
                        <div class="col-sm-10">
                            <div>
                                {{ form.phone_number }}
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-push-2 col-lg-4">
                            <button type="submit"
                                    class="btn btn-primary">
                                {% trans "Save" %}
                            </button>
                            <a href="{% url 'organization_list' %}" class="btn btn-default">
                                {% trans "Cancel" %}
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
{% endblock %}
